This endpoint is still on our legacy API.
Fetch trailer assignment data for a single trailer.
Rate limit: 25 requests/sec (learn more about rate limits here).
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Assignments under the Assignments category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/v1/fleet/trailers/{trailerId}/assignments \
--header 'Authorization: Bearer <token>'{
"id": 2041,
"name": "myTrailer",
"trailerAssignments": [
{
"driverId": 2047,
"endMs": 1462881998034,
"startMs": 1462878398034
}
]
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of trailer. Must contain only digits 0-9.
Timestamp in Unix epoch milliseconds representing the start of the period to fetch. Omitting both startMs and endMs only returns current assignments.
Timestamp in Unix epoch milliseconds representing the end of the period to fetch. Omitting endMs sets endMs as the current time
curl --request GET \
--url https://api.samsara.com/v1/fleet/trailers/{trailerId}/assignments \
--header 'Authorization: Bearer <token>'{
"id": 2041,
"name": "myTrailer",
"trailerAssignments": [
{
"driverId": 2047,
"endMs": 1462881998034,
"startMs": 1462878398034
}
]
}